import * as react_jsx_runtime from 'react/jsx-runtime';

declare function HomePageComponent({ published, }: {
    published?: boolean;
}): react_jsx_runtime.JSX.Element;

declare function NewPostPageComponent(): react_jsx_runtime.JSX.Element;

declare function PostPageComponent({ slug }: {
    slug: string;
}): react_jsx_runtime.JSX.Element;

declare function EditPostPageComponent({ slug }: {
    slug: string;
}): react_jsx_runtime.JSX.Element;

declare const PostListPage: typeof HomePageComponent;
declare const NewPostPage: typeof NewPostPageComponent;
declare const PostPage: typeof PostPageComponent;
declare const EditPostPage: typeof EditPostPageComponent;

export { EditPostPage, NewPostPage, PostListPage, PostPage };
